Bug 224860 - */lumina-*: Broken I18N options
Summary: */lumina-*: Broken I18N options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-03 11:42 UTC by Tobias Kortkamp
Modified: 2018-05-18 07:42 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jt)


Attachments
updated port (2.24 KB, text/plain)
2018-03-16 22:36 UTC, q5sys
no flags Details
textedit port update (5.79 KB, text/plain)
2018-03-16 22:39 UTC, q5sys
no flags Details
lumina-i18n.diff (94.84 KB, patch)
2018-05-16 12:49 UTC, Tobias Kortkamp
tobik: maintainer-approval? (jt)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2018-01-03 11:42:17 UTC
*/lumina-*: Broken I18N options

Disabling the I18N option breaks the build of many Lumina ports
because of missing %%I18N%% guards in their plists.

E.g. deskutils/lumina-screenshot:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: share/lumina-desktop/i18n/l-screenshot_af.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ar.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_az.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_bg.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_bn.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_bs.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ca.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_cs.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_cy.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_da.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_de.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_el.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_en_AU.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_en_GB.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_en_ZA.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_es.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_et.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_eu.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_fa.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_fi.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_fr.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_fr_CA.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_fur.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_gl.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_he.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_hi.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_hr.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_hu.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_id.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_is.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_it.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ja.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ka.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ko.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_lt.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_lv.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_mk.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_mn.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ms.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_mt.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_nb.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ne.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_nl.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_pa.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_pl.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_pt.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_pt_BR.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ro.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ru.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_sa.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_sk.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_sl.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_sr.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_sv.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_sw.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ta.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_tg.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_th.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_tr.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_uk.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_ur.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_uz.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_vi.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_zh_CN.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_zh_HK.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_zh_TW.qm
Error: Missing: share/lumina-desktop/i18n/l-screenshot_zu.qm
===> Error: Plist issues found.
*** Error code 1
Comment 1 Marcelo Araujo freebsd_committer 2018-01-05 03:09:50 UTC
I spoke with the maintainer already! He is working on that.

Thanks for the report.
Comment 2 q5sys 2018-01-15 18:26:54 UTC
(In reply to Marcelo Araujo from comment #1)
I'm not ignoring this, we need to tweak things within our build system so that our translation tem syswont break the build with every translation commit.
Comment 3 q5sys 2018-03-16 22:36:48 UTC
Created attachment 191562 [details]
updated  port
Comment 4 q5sys 2018-03-16 22:39:46 UTC
Created attachment 191563 [details]
textedit port update

Araujo, since you're over me on these ports, can you check to make sure I have this right before I upload all the other shar files?
Comment 5 Tobias Kortkamp freebsd_committer 2018-05-06 16:37:49 UTC
Ping?
Comment 6 Tobias Kortkamp freebsd_committer 2018-05-16 12:49:30 UTC
Created attachment 193455 [details]
lumina-i18n.diff

Here's a patch to fix this.
Comment 7 Marcelo Araujo freebsd_committer 2018-05-18 01:20:02 UTC
(In reply to Tobias Kortkamp from comment #6)

Hi,

Thanks for the patch, can you go ahead and commit it by yourself?
You have maintainer's approve and my blessing too.

Best,
Comment 8 Tobias Kortkamp freebsd_committer 2018-05-18 07:42:58 UTC
(In reply to Marcelo Araujo from comment #7)
Done. Thanks!
Comment 9 commit-hook freebsd_committer 2018-05-18 07:42:59 UTC
A commit references this bug:

Author: tobik
Date: Fri May 18 07:42:12 UTC 2018
New revision: 470276
URL: https://svnweb.freebsd.org/changeset/ports/470276

Log:
  */lumina-*: Unbreak I18N options

  ===> Checking for items in pkg-plist which are not in STAGEDIR
  Error: Missing: share/lumina-desktop/i18n/l-screenshot_af.qm
  Error: Missing: share/lumina-desktop/i18n/l-screenshot_ar.qm
  Error: Missing: share/lumina-desktop/i18n/l-screenshot_az.qm
  ...

  - Add missing USE_QT5=printsupport to lumina-textedit

  PR:		224860
  Submitted by:	tobik
  Approved by:	jt@ixsystems.com (maintainer), araujo

Changes:
  head/deskutils/lumina-archiver/Makefile
  head/deskutils/lumina-archiver/pkg-plist
  head/deskutils/lumina-calculator/Makefile
  head/deskutils/lumina-calculator/pkg-plist
  head/deskutils/lumina-fileinfo/Makefile
  head/deskutils/lumina-fileinfo/pkg-plist
  head/deskutils/lumina-fm/Makefile
  head/deskutils/lumina-fm/pkg-plist
  head/deskutils/lumina-mediaplayer/Makefile
  head/deskutils/lumina-mediaplayer/pkg-plist
  head/deskutils/lumina-pdf/Makefile
  head/deskutils/lumina-pdf/pkg-plist
  head/deskutils/lumina-screenshot/Makefile
  head/deskutils/lumina-screenshot/pkg-plist
  head/deskutils/lumina-textedit/Makefile
  head/deskutils/lumina-textedit/pkg-plist
  head/x11/lumina-core/Makefile
  head/x11/lumina-core/pkg-plist
  head/x11/lumina-coreutils/Makefile
  head/x11/lumina-coreutils/pkg-plist